Frameless buttons actually have a thin white frame
Closed, ResolvedPublic

Description

Frameless buttons actually have a thin white frame. This is visible when placed on a non-white background, for example the "Cancel" button in https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Albert_Einstein&action=edit&useskin=vector&ooui=1.

Originated in “MediaWiki theme: Unify padding on ButtonElement” patch.

Evolution of the frameless button padding/focus:

v0.17.10v0.21.0v0.21.0 mod bg
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2017, 11:16 PM
Volker_E updated the task description. (Show Details)Apr 13 2017, 1:12 AM
Volker_E moved this task from Backlog to Doing on the OOUI board.Apr 13 2017, 6:15 AM
Volker_E updated the task description. (Show Details)Apr 13 2017, 11:37 PM

Change 348213 had a related patch set uploaded (by Bartosz Dziewoński):
[oojs/ui@master] MediaWiki theme: Remove thin white border on frameless buttons

https://gerrit.wikimedia.org/r/348213

Also affects UploadWizard:

Ladsgroup triaged this task as High priority.Apr 14 2017, 2:55 PM

Affecting deployed products. I think it should be at least high.

Change 348399 had a related patch set uploaded (by VolkerE):
[oojs/ui@master] MediaWiki theme: Fix border-color regression of frameless buttons

https://gerrit.wikimedia.org/r/348399

Volker_E moved this task from Doing to Reviewing on the OOUI board.Apr 16 2017, 8:40 PM

Change 348399 merged by jenkins-bot:
[oojs/ui@master] MediaWiki theme: Fix white border-color of frameless buttons

https://gerrit.wikimedia.org/r/348399

Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.21.1); removed OOUI.
Volker_E closed this task as Resolved.Apr 18 2017, 11:34 PM
Volker_E removed a project: Patch-For-Review.
Volker_E removed a subscriber: gerritbot.